exception_ptr.h File Reference

Go to the source code of this file.

## Classes

class | std::__exception_ptr::exception_ptr

## Namespaces

namespace | std

## Functions

template<typename _Ex >
exception_ptr | std::copy_exception (_Ex __ex) noexcept
exception_ptr | std::current_exception () noexcept
template<typename _Ex >
exception_ptr | std::make_exception_ptr (_Ex __ex) noexcept
bool | std::__exception_ptr::operator!= (const exception_ptr &, const exception_ptr &) noexcept __attribute__((__pure__))
bool | std::__exception_ptr::operator== (const exception_ptr &, const exception_ptr &) noexcept __attribute__((__pure__))
void | std::rethrow_exception (exception_ptr) __attribute__((__noreturn__))
void | std::__exception_ptr::swap (exception_ptr &__lhs, exception_ptr &__rhs)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <exception>.

Definition in file exception_ptr.h.